Tuxlink

Instalar simdock (SVN) en Gutsy

Posted on: 17 enero, 2008

Simdock

Ya existe un post para instalar simdock solo que es en Festy y no nos sirve de nada para Gutsy debido a incompatibilidad de dependencias entre otras cosas. Así que vamos a instalar la versión SVN y compilarla (creo que es la primera aplicación que se me compila sin ningún problema). Por si no lo recuerdan simdock es una aplicación que simula un dock y nos permite colocar lanzadores en esa “barrita de abajo” para acelerar un poco las cosas.

  • Requerimientos

Necesitamos descargar y compilar los wxWidgets, descarga el siguiente archivo:

|Descarga: wxWidgets-2.8.5.tar.gz

Abre una Terminal y navega hasta donde hayas descargado el archivo con el comando cd si esta en el escritorio por ejemplo ejecuta:
cd Escritorio
Y da Enter, verás como cambia la dirección en la Terminal. Ahora ejecuta los siguientes comandos para instalar esta dependencia:

tar -zxvf wxWidgets*.tar.gz
cd wxWidgets-2.8.5
./configure --with-gtk
make
sudo make install
sudo ldconfig

Dependiendo de tu PC tardará un poco en compilar, una vez hecho y sin ningun error ya podrás instalar simdock con las siguientes instrucciones.

  • Instalando Simdock
  1. Instala el paquete subversion desde una Terminal (Aplicaciones/Accesorios/Terminal):
    sudo aptitude install subversion
  2. Descargamos el SVN de simdock ejecutando en la terminal:
    svn co https://simdock.svn.sourceforge.net/svnroot/simdock simdock
  3. Puede que te haga una pregunta en cuanto a autenticar la pagina con tres opciones, elige aceptar temporalmente escribiendo una t y da Enter.
  4. Debemos ubicar en donde se encuentra el binario wx-config, para esto desde una Terminal escribimos:
    whereis wx-config
    Esto nos puede devolver dos direcciones:
    /usr/bin/wx-config o
    /usr/local/bin/wx-config
    usaremos la segunda, si no se muestra esa usa el que aparezca.
  5. Navegaremos hasta la carpeta trunk que descargamos previamente con el comando cd:
    cd simdock/trunk
  6. Ejecutamos el script configure con las siguientes opciones:
    ./configure --with-wx-config=/usr/local/bin/wx-config
    Esta parte es importante por que si devuelve un error aparecerá un mensaje en la que hace referencia a una dependencia que debemos instalarla mediante Synaptic o la Terminal, lo más seguro es que las dependencias a instalar sean libgconf2-dev y libwnck-dev. Si no se soluciona prueba a instalar libwnck-1 y libwnck-dev mediante terminal o por Synaptic. (Gracias gimeno)
    Si todo ha salido bien devolverá un mensaje como este:

    ——Compiling informations——
    Python enabled: no (in development)
    * Python support: yes
    * wxPython support: no
    Dbus enabled: yes (in development)
    Debug build: no
    ————————–
    Configure script was successful.
    You can now install SimDock

  7. Ahora simplemente ejecutamos lo siguiente para terminar la instalación:
    make
    sudo make install
  8. Ejecutaremos Simdock desde la Terminal:
    simdock &
    Si surge algun problema ahi aparecerá el error, si cierras la terminal cerrarás Simdock ejecutalo yendo a Aplicaciones/Accesorios/Simdock.

Ya tenemos Simdock instalado y funcionando para agregar más lanzadores ve arrastra cualquier icono del menú aplicaciones. He visto que si cambio el wallpaper tarda un poco en cambiar el fondo pero es una buena opción si no contamos con aceleración gráfico.
Saludos.

|Vía: DieroLinux
|Relacionado:

Anuncios

14 comentarios to "Instalar simdock (SVN) en Gutsy"

Hola, tengo un problema ya para instalar el Simdock, me sale esto:

checking for DEPS… configure: error: Package requirements (
gconf-2.0 >= 2.18.0,
libwnck-1.0 >= 2.18.0
) were not met:

No package ‘gconf-2.0’ found
No package ‘libwnck-1.0’ found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables DEPS_CFLAGS
and DEPS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Ya instale los paquetes pero creo no los detecta, espero me puedas ayudar. Que buen tutorial, gracias!!!

@HBR: Primero debo de preguntar que versión de Ubuntu estas usando, en segunda me parece que el paquete libwnck-1.0, no es compatible con esta versión de Simdock, prueaba a instalar el paquete libwcnk-common para ver si funciona.

Hola he seguido todos los pasos y todo va bien hasta que llego a la parte del
./configure –with-wx-config=/usr/local/bin/wx-config
cuando hago esto no me aparece nada y escribo make y sale

Makefile:315: .deps/gconf_settings.Po: No existe el fichero ó directorio
Makefile:316: .deps/image_utils.Po: No existe el fichero ó directorio
Makefile:317: .deps/interrupts.Po: No existe el fichero ó directorio
Makefile:318: .deps/launcher_dialog.Po: No existe el fichero ó directorio
Makefile:319: .deps/main.Po: No existe el fichero ó directorio
Makefile:320: .deps/main_arguments.Po: No existe el fichero ó directorio
Makefile:321: .deps/main_settings.Po: No existe el fichero ó directorio
Makefile:322: .deps/myDrop.Po: No existe el fichero ó directorio
Makefile:323: .deps/myFrame.Po: No existe el fichero ó directorio
Makefile:324: .deps/save_launchers.Po: No existe el fichero ó directorio
Makefile:325: .deps/settingsDialog.Po: No existe el fichero ó directorio
Makefile:326: .deps/sim-dbus.Po: No existe el fichero ó directorio
Makefile:327: .deps/simImage.Po: No existe el fichero ó directorio
Makefile:328: .deps/simPython.Po: No existe el fichero ó directorio
Makefile:329: .deps/sim_gconf.Po: No existe el fichero ó directorio
Makefile:330: .deps/tasks.Po: No existe el fichero ó directorio
Makefile:331: .deps/xstuff.Po: No existe el fichero ó directorio
make: *** No hay ninguna regla para construir el objetivo `.deps/xstuff.Po’. Alto.

me podrias ayudar por favor….
gracias

@fernanda: La parte en la que haces:
./configure –with-wx-config=/usr/local/bin/wx-config
es importante por que le indican donde estan los wxWidgets. Para eso utilizas la instrucción:
whereis wx-config
Esto nos puede devolver dos direcciones:
– /usr/bin/wx-config o
– /usr/local/bin/wx-config
Aquí es lo importante, si te devuelve las dos direcciones en la terminal elige la segunda es decir /usr/local/bin/wx-config. Si solo te devuelve una elige esa independientemente de cual sea.
¿Y ahora para que te sirve esa dirección?, pues para poder ejecutar:
./configure --with-wx-config=/usr/local/bin/wx-config
Navegaremos hasta la carpeta trunk que descargamos previamente con el comando cd:
cd simdock/trunk

Ahora si ejecuta configure con la dirección que te dio el comando whereis ya sea:
./configure --with-wx-config=/usr/local/bin/wx-config
o
/configure --with-wx-config=/usr/bin/wx-config

[…] Instalar simdock (SVN) en Gutsy […]

hola me he seguido el manual pero no logro instalarlo tengo ubuntu 7.10 y en el ultimo paso me genera un error
——Checking Dependancies——
checking for pkg-config… /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0… yes
checking for DEPS… configure: error: Package requirements (
gconf-2.0 >= 2.18.0,
libwnck-1.0 >= 2.18.0
) were not met:

No package ‘gconf-2.0’ found
No package ‘libwnck-1.0’ found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables DEPS_CFLAGS
and DEPS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

trate de instalar libwnck-common pero no lo encontro synaptics ni desde la terminal
gracias por la ayuda que puedas darme

@jorge: Prueba a instalar los paquetes con terminación -dev:

sudo apt-get install libwnck-1 libwnck-dev

Por lo que veo ya van varios que tienen problemas con esto, pero hasta ahora no se muy bien que dependencias son las que hacen falta, en realidad debería de funcionar con estas que he puesto.
Saludos.

no funciona buscare en otro blog

No puedo hacer nada si nadie me dice en que esta mal o en que obtienen un error. Lo único que puedo decir es que a mi me va perfecto y el procedimiento es tal cual y como yo lo realice. No es cuestión de copiar y pegar en la Terminal y de instalar por instalar las cosas, hay que leer y revisar los errores y las dependencias que requiere la Terminal. También tomen en cuenta que puede que ya hayan salido versiones nuevas y los paquetes descritos ya no estén disponibles a pesar de ser relativamente nuevo este post.
Saludos.

En DelirioLinux ya se había resuelto el problema. Yo llegué de manera simple a la solución buscando paquetes en Synaptic, y es que deben de instalarse libgconf2-dev y libwnck-dev (o las que estén disponibles supongo).

@gimeno: Muchas gracias, hasta que alguien pone atención a lo que devuelva la terminal e instala los paquetes que son necesarios, de hecho en el mismo tutorial escribi esto:
“…Esta parte es importante por que si devuelve un mensaje en la que hace referencia a una dependencia debemos instalarla mediante Synaptic o la Terminal. …”
Solo que no recordaba el nombre de la dependencia al momento de escribir el post.
Muchas gracias.
Saludos.

Hola que tal, oye disculpa eh seguido los pasos al pie de la letra pero me falta el paquete “gconf-2.0” y no se de donde sacarlo, ya lo busque en el Synaptic pero no lo encuentro y no se que otro pueda sustituirlo, tambien trate de instalar desde la terminal en el comando que ofreciste pero no se puede.
Tengo instalada la version de Ubuntu 7.10 Gusty

de los errores que me salieron
gconf-2.0 >= 2.18.0,
libwnck-1.0 >= 2.18.0
solucione el segundo, solo me falta el primero y creo que con eso lo soluciono.

De antemano gracias.

Hola he seguido tus instrucciones con exito, pero me surge una duda. Al ejecutar simdock tan solo me funciona en un area de trabajo, mi duda es ¿como y donde puedo habilitar alguna opcion para cuando cambie del area de trabajo el simdock me siga?

Saludos

[…] |Enlace: Instalar Simdock (SVN) en Gutsy […]

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

Tuxlink RSS

Translate (main page)

Download LeopardX

Lectores conectados

website stats

My Flickr Photos

A %d blogueros les gusta esto: